Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159926 - tcl/tk install in a directory where programs which use it don't search
Summary: tcl/tk install in a directory where programs which use it don't search
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcl
Version: 4.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 11:41 UTC by john berrisford
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 15:05:16 UTC


Attachments (Terms of Use)

Description john berrisford 2005-06-09 11:41:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Tcl/tk installs in /usr/share/tk(version number) although programs which use these libraries seach /usr/local/lib or /usr/lib and therefore cannot find tcl/tk

In addition installation of blt (an expension of tk) is placed in /usr/bin, not the same directory as tcl/tk and therefore will not work.

A work around for this problem is to copy tk to a directory which is searched, such as /usr/lib.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install tk
2.
3.
  

Additional info:

Comment 1 Jens Petersen 2005-06-10 00:22:43 UTC
You want to have a symlink /usr/lib/{tcl,tk}ver -> /usr/share/{tcl,tk}ver ?

Can you describe exactly how your trying to install blt?

Which packages of tcl and tk are you using?

Comment 2 john berrisford 2005-06-10 08:18:10 UTC
I am using tk8.4.7-2 build from an rpm and tcl 8.4.7-2 from an rpm
Blt is also installed using an rpm (MOK repository) and installs correctly in
/usr/bin. Although it would be useful if blt installed a symbolic link to the tk
directories as the program I am using expects to find bltwish in the same
directory as tk.

I have no problem making a symbolic link, but it is annoying to have to. 

Is this a new fedora / red hat version issue (I see the same problem on EL4 and
fedora core 3)? In other words, do I have to tell the makers of the software i'm
trying to run to update where they search for tcl/tk libraries on newer linux
versions?

Comment 3 Jens Petersen 2005-10-03 08:22:51 UTC
blt is already in Fedora Extras.  Could you try the Extras package please?

Comment 5 Marcela Mašláňová 2007-01-02 15:05:16 UTC
No new info from reporter for year-> closing


Note You need to log in before you can comment on or make changes to this bug.